<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: faq_add.php
| Author: Razor
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (file_exists(INFUSIONS."faq_infusion/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."faq_infusion/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."faq_infusion/locale/English.php";
}
include INFUSIONS."faq_infusion/infusion_db.php";
require_once THEMES."templates/header.php";
if (isset($_POST['quest_add'])) {


	$error = ""; $db_fields = ""; $db_values = "";
	$name = stripinput(trim(preg_replace("/ +/i", " ", $_POST['quest_name'])));
	$guest = stripinput(trim(preg_replace("/ +/i", " ", $_POST['guest_name'])));
	$info = addslash(stripinput(trim(preg_replace("/ +/i", " ", $_POST['quest_info']))));
	if ($name == "" || $info == "") {
		$error .= $flocale['402']."<br />\n";
	}
		
	if (dbcount("(faq_name)", DB_FAQ, "faq_name='$name'") != 0) { $error = $flocale['407']."<br />\n";}
	if (iGUEST){
	$_CAPTCHA_IS_VALID = false;
	include INCLUDES."captchas/".$settings['captcha']."/captcha_check.php";
	if ($_CAPTCHA_IS_VALID == false) {
		$error .= " <span class='alt'>".$flocale['425']."</span><br />\n";
	}
	}
	if ($error == "") {
			$userid = $userdata['user_id'];
			$username = $userdata['user_name'];
			if (iGUEST){
			$username = $guest;
			}
			$result = dbquery("INSERT INTO ".DB_FAQ." (faq_name, faq_owner_id, faq_owner_name, faq_faq, faq_date) VALUES('$name', '$userid', '$username', '$info', '".time()."')");		
			$result = dbquery("SELECT * FROM ".DB_FAQ." WHERE `faq_name`='$name'");
			$data = dbarray($result); 
			redirect(INFUSIONS.'faq_infusion/question.php?id='.$data['faq_id'].'');		
	
	} else {
		opentable($flocale['429']);
		echo "<div style='text-align:center'>\n$error<br />\n<a href='".FUSION_SELF."'></a></div><br />\n";
		closetable();
	}
}
require_once INCLUDES."bbcode_include.php";

	if (iMEMBER){
	opentable($flocale['416']);
	echo "<form name='inputform' method='post' action='".FUSION_SELF."' onsubmit='return ValidateForm(this)'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
	echo "<td class='tbl'>".$flocale['412']."<span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='quest_name' maxlength='30' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n";
	echo "<tr>\n<td class='tbl'>".$flocale['413']."<span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><textarea type='text' name='quest_info'  rows='7' cols='87' class='textbox' style='width:400px;' /></textarea></td>\n";
	echo "</tr>\n";

	echo "<tr><td>&nbsp;</td><td class='tbl'>";
	echo display_bbcodes("360px", "quest_info");
	echo "</td></tr>";
	
	echo "<tr>\n<td align='center' colspan='2'><br />\n";
	echo "<input type='submit' name='quest_add' value='".$flocale['414']."' class='button' />\n";
	echo "</td>\n</tr>\n</table>\n</form><br>\n";
	closetable();
} else {
	opentable($flocale['416']);
	echo "<form name='inputform' method='post' action='".FUSION_SELF."' onsubmit='return ValidateForm(this)'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
	echo "<td class='tbl'>".$flocale['424']."<span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='guest_name' maxlength='30' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>".$flocale['412']."<span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='quest_name' maxlength='30' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n";
	echo "<tr>\n<td class='tbl'>".$flocale['413']."<span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><textarea type='text' name='quest_info'  rows='7' cols='47' class='textbox' style='width:400px;' /></textarea></td>\n";
	echo "</tr>\n";
		echo "<tr><td>&nbsp;</td><td class='tbl'>";
	echo display_bbcodes("360px", "quest_info");
	echo "</td></tr>";
		echo "<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['407']."</td>\n";
	echo "<td class='tbl'>";
	include INCLUDES."captchas/".$settings['captcha']."/captcha_display.php";
	if (!isset($_CAPTCHA_HIDE_INPUT) || (isset($_CAPTCHA_HIDE_INPUT) && !$_CAPTCHA_HIDE_INPUT)) {
		echo "\n<tr>";
		echo "<td class='tbl'><label for='captcha_code'>".$flocale['426']."</label></td>\n";
		echo "<td class='tbl'>";
		echo "<input type='text' id='captcha_code' name='captcha_code' class='textbox' autocomplete='off' style='width:100px' /></td></tr>";
	}

		echo "</td>\n</tr>\n";
	echo "<tr>\n<td align='center' colspan='2'><br />\n";
	echo "<input type='submit' name='quest_add' value='".$flocale['414']."' class='button' />\n";
	echo "</td>\n</tr>\n</table>\n</form><br>\n";
	closetable();
}


require_once THEMES."templates/footer.php";
?>