<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Razor
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."faq_infusion/infusion_db.php";
if (file_exists(INFUSIONS."faq_infusion/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."faq_infusion/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."faq_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['faq_title'];
$inf_description = $locale['faq_desc'];
$inf_version = "1.0";
$inf_developer = "Razor";
$inf_email = "Razor@211.ru";
$inf_weburl = "http://razor.nsk.ru";
$inf_folder = "faq_infusion"; //   faq-.

// Delete any items not required below.
$inf_newtable[1] = DB_FAQ." (
  faq_id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  faq_name varchar(100) NOT NULL default '',
  faq_owner_id varchar(100) NOT NULL default '',
  faq_owner_name varchar(100) NOT NULL default '',
  faq_faq text NOT NULL,
  faq_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (faq_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_FAQ;
$inf_altertable[1] = DB_FAQ." ADD etc";
$inf_deldbrow[1] = "other_table";
$inf_deldbrow[2] = DB_COMMENTS." WHERE comment_type='FQ'";
$inf_adminpanel[1] = array(
	"title" => $locale['faq_admin1'],
	"image" => "image.gif",
	"panel" => "faq_admin.php",
	"rights" => "ZZZ"
);
$inf_sitelink[1] = array(
	"title" => $flocale['428'],
	"url" => "faq_all.php",
	"visibility" => "0"
);
	



?>